Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

Public Attributes | List of all members
stk::Skini::Message Struct Reference

A message structure to store and pass parsed SKINI messages. More...

`#include <Skini.h>`

## Public Attributes

long | type
long | channel
StkFloat | time
std::vector< StkFloat > | floatValues
std::vector< long > | intValues
std::string | remainder

## Detailed Description

A message structure to store and pass parsed SKINI messages.

## Member Data Documentation

## ◆ type

long stk::Skini::Message::type

The message type, as defined in SKINImsg.h.

## ◆ channel

long stk::Skini::Message::channel

The message channel (not limited to 16!).

## ◆ time

StkFloat stk::Skini::Message::time

The message time stamp in seconds (delta or absolute).

## ◆ floatValues

std::vector<StkFloat> stk::Skini::Message::floatValues

The message values read as floats (values are type-specific).

## ◆ intValues

std::vector<long> stk::Skini::Message::intValues

The message values read as ints (number and values are type-specific).

## ◆ remainder

std::string stk::Skini::Message::remainder

Any remaining message data, read as ascii text.

The documentation for this struct was generated from the following file:

- Skini.h

The Synthesis ToolKit in C++ (STK)
©1995--2023 Perry R. Cook and Gary P. Scavone. All Rights Reserved.